\entry {Introduction}{5}{Introduction}
\entry {Installing GCC}{6}{Installing GCC}
\entry {GCC Installation}{6}{GCC Installation}
\entry {Installation}{6}{Installation}
\entry {Installing the Executables}{8}{Installing the Executables}
\entry {Executables Installation}{8}{Executables Installation}
\entry {GCCEXEC (env. variable)}{9}{GCCEXEC (env. variable)}
\entry {TEMP (env. variable)}{9}{TEMP (env. variable)}
\entry {Installing the Libraries}{9}{Installing the Libraries}
\entry {Library Installation}{9}{Library Installation}
\entry {Libraries}{9}{Libraries}
\entry {GNULIB (env. variable)}{10}{GNULIB (env. variable)}
\entry {Header Installation}{11}{Header Installation}
\entry {GNUINC}{11}{GNUINC}
\entry {Gulam Notes}{11}{Gulam Notes}
\entry {Installing G{\tt\char43}{\tt\char43}}{12}{Installing G{\tt\char43}{\tt\char43}}
\entry {G{\tt\char43}{\tt\char43} Installation}{12}{G{\tt\char43}{\tt\char43} Installation}
\entry {GXXINC (env. variable)}{12}{GXXINC (env. variable)}
\entry {Memory Requirements}{12}{Memory Requirements}
\entry {Requirements, Memory}{12}{Requirements, Memory}
\entry {C-Compiler Driver}{13}{C-Compiler Driver}
\entry {gcc.ttp (executable)}{13}{gcc.ttp (executable)}
\entry {Invoking the Compiler Driver}{14}{Invoking the Compiler Driver}
\entry {Options (gcc)}{14}{Options (gcc)}
\entry {compile.err}{15}{compile.err}
\entry {C{\tt\char43}{\tt\char43}-Compiler Driver}{25}{C{\tt\char43}{\tt\char43}-Compiler Driver}
\entry {g{\tt\char43}{\tt\char43}.ttp (executable)}{25}{g{\tt\char43}{\tt\char43}.ttp (executable)}
\entry {Preprocessor}{31}{Preprocessor}
\entry {gcc-cpp.ttp (executable)}{31}{gcc-cpp.ttp (executable)}
\entry {Invoking the C Preprocessor}{31}{Invoking the C Preprocessor}
\entry {Options (cpp)}{31}{Options (cpp)}
\entry {Predefined Macros}{33}{Predefined Macros}
\entry {Macros, Predefined}{33}{Macros, Predefined}
\entry {{\_}{\_}FILE{\_}{\_} (cpp macro)}{33}{{\_}{\_}FILE{\_}{\_} (cpp macro)}
\entry {{\_}{\_}LINE{\_}{\_} (cpp macro)}{33}{{\_}{\_}LINE{\_}{\_} (cpp macro)}
\entry {{\_}{\_}DATE{\_}{\_} (cpp macro)}{33}{{\_}{\_}DATE{\_}{\_} (cpp macro)}
\entry {{\_}{\_}TIME{\_}{\_} (cpp macro)}{34}{{\_}{\_}TIME{\_}{\_} (cpp macro)}
\entry {{\_}{\_}STDC{\_}{\_} (cpp macro)}{34}{{\_}{\_}STDC{\_}{\_} (cpp macro)}
\entry {{\_}{\_}GNUC{\_}{\_} (cpp macro)}{34}{{\_}{\_}GNUC{\_}{\_} (cpp macro)}
\entry {{\_}{\_}STRICT{\_}ANSI{\_}{\_} (cpp macro)}{34}{{\_}{\_}STRICT{\_}ANSI{\_}{\_} (cpp macro)}
\entry {{\_}{\_}VERSION{\_}{\_} (cpp macro)}{34}{{\_}{\_}VERSION{\_}{\_} (cpp macro)}
\entry {{\_}{\_}OPTIMIZE{\_}{\_} (cpp macro)}{34}{{\_}{\_}OPTIMIZE{\_}{\_} (cpp macro)}
\entry {{\_}{\_}CHAR{\_}UNSIGNED{\_}{\_} (cpp macro)}{34}{{\_}{\_}CHAR{\_}UNSIGNED{\_}{\_} (cpp macro)}
\entry {{\_}{\_}MSHORT{\_}{\_} (cpp macro)}{34}{{\_}{\_}MSHORT{\_}{\_} (cpp macro)}
\entry {{\_}{\_}MINT{\_}{\_} (cpp macro)}{34}{{\_}{\_}MINT{\_}{\_} (cpp macro)}
\entry {Dependency Information}{35}{Dependency Information}
\entry {Assembler}{35}{Assembler}
\entry {gcc-as.ttp (executable)}{35}{gcc-as.ttp (executable)}
\entry {Invoking the Assembler}{36}{Invoking the Assembler}
\entry {Options (as)}{36}{Options (as)}
\entry {Syntax (as)}{37}{Syntax (as)}
\entry {Register Names}{37}{Register Names}
\entry {Addressing Modes}{38}{Addressing Modes}
\entry {Labels (as)}{39}{Labels (as)}
\entry {Identifier (as)}{39}{Identifier (as)}
\entry {Comments (as)}{39}{Comments (as)}
\entry {Constants, Numerical (as)}{40}{Constants, Numerical (as)}
\entry {Constants, String (as)}{40}{Constants, String (as)}
\entry {Assignments (as)}{40}{Assignments (as)}
\entry {Operators (as)}{40}{Operators (as)}
\entry {Segments (as)}{41}{Segments (as)}
\entry {Labels (as)}{41}{Labels (as)}
\entry {Location Counter (as)}{41}{Location Counter (as)}
\entry {Types (as)}{41}{Types (as)}
\entry {Pseudo Opcodes (as)}{42}{Pseudo Opcodes (as)}
\entry {Directives (as)}{42}{Directives (as)}
\entry {.abort (as pseudo opcode)}{42}{.abort (as pseudo opcode)}
\entry {.align (as pseudo opcode)}{42}{.align (as pseudo opcode)}
\entry {.ascii (as pseudo opcode)}{42}{.ascii (as pseudo opcode)}
\entry {.asciz (as pseudo opcode)}{42}{.asciz (as pseudo opcode)}
\entry {.byte (as pseudo opcode)}{42}{.byte (as pseudo opcode)}
\entry {.comm (as pseudo opcode)}{42}{.comm (as pseudo opcode)}
\entry {.data (as pseudo opcode)}{42}{.data (as pseudo opcode)}
\entry {.desc (as pseudo opcode)}{42}{.desc (as pseudo opcode)}
\entry {.double (as pseudo opcode)}{42}{.double (as pseudo opcode)}
\entry {.even (as pseudo opcode)}{42}{.even (as pseudo opcode)}
\entry {.file (as pseudo opcode)}{42}{.file (as pseudo opcode)}
\entry {.line (as pseudo opcode)}{42}{.line (as pseudo opcode)}
\entry {.fill (as pseudo opcode)}{43}{.fill (as pseudo opcode)}
\entry {.float (as pseudo opcode)}{43}{.float (as pseudo opcode)}
\entry {.globl (as pseudo opcode)}{43}{.globl (as pseudo opcode)}
\entry {.int (as pseudo opcode)}{43}{.int (as pseudo opcode)}
\entry {.lcomm (as pseudo opcode)}{43}{.lcomm (as pseudo opcode)}
\entry {.long (as pseudo opcode)}{43}{.long (as pseudo opcode)}
\entry {.lsym (as pseudo opcode)}{43}{.lsym (as pseudo opcode)}
\entry {.octa (as pseudo opcode)}{43}{.octa (as pseudo opcode)}
\entry {.org (as pseudo opcode)}{43}{.org (as pseudo opcode)}
\entry {.quad (as pseudo opcode)}{43}{.quad (as pseudo opcode)}
\entry {.set (as pseudo opcode)}{43}{.set (as pseudo opcode)}
\entry {.short (as pseudo opcode)}{43}{.short (as pseudo opcode)}
\entry {.space (as pseudo opcode)}{43}{.space (as pseudo opcode)}
\entry {.text (as pseudo opcode)}{44}{.text (as pseudo opcode)}
\entry {.word (as pseudo opcode)}{44}{.word (as pseudo opcode)}
\entry {Utilities}{44}{Utilities}
\entry {Linker}{44}{Linker}
\entry {gcc-ld.ttp (executable)}{44}{gcc-ld.ttp (executable)}
\entry {Options (ld)}{45}{Options (ld)}
\entry {sym-ld.ttp (executable)}{46}{sym-ld.ttp (executable)}
\entry {Archiver}{46}{Archiver}
\entry {gcc-ar.ttp (executable)}{46}{gcc-ar.ttp (executable)}
\entry {Options (ar)}{47}{Options (ar)}
\entry {Listing Symbols}{48}{Listing Symbols}
\entry {gcc-nm.ttp (executable)}{48}{gcc-nm.ttp (executable)}
\entry {Options (nm)}{48}{Options (nm)}
\entry {cnm.ttp (executable)}{49}{cnm.ttp (executable)}
\entry {Modifying Executables}{50}{Modifying Executables}
\entry {fixstk.ttp (executable)}{50}{fixstk.ttp (executable)}
\entry {stksize}{50}{stksize}
\entry {{\_}stksize}{50}{{\_}stksize}
\entry {initial{\_}stack}{50}{initial{\_}stack}
\entry {{\_}initial{\_}stack}{50}{{\_}initial{\_}stack}
\entry {toglclr.ttp (executable)}{50}{toglclr.ttp (executable)}
\entry {xstrip.ttp (executable)}{51}{xstrip.ttp (executable)}
\entry {Information about Executables.}{51}{Information about Executables.}
\entry {printstk.ttp (executable)}{52}{printstk.ttp (executable)}
\entry {size68.ttp (executable)}{52}{size68.ttp (executable)}
\entry {Debugging}{i}{Debugging}
